Bug 34809 - EDITING: Turning off JRE creates annoying alert if you start LibO, open/create a document and type anything
Summary: EDITING: Turning off JRE creates annoying alert if you start LibO, open/creat...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) Mac OS X (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Java-Runtime-JRE-Warnings Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2011-02-27 14:47 UTC by musikit
Modified: 2016-10-21 11:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Error message when starting to type, LibO 3.5.6.2 on MacOS X 10.6.8 (29.38 KB, image/png)
2012-08-18 09:57 UTC, Roman Eisele
Details
Error message when JVM is disabled in LibO preferences, LibO 3.6.1.1 on MacOS X 10.6.8 (27.50 KB, image/png)
2012-08-18 10:08 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description musikit 2011-02-27 14:47:32 UTC
disabling the JVM and then restarting libreoffice always generates a dialog on typing in a document after starting libreoffice. dialog states along the lines of "Libreoffice requires the Java runtime environment(JRE) to perform this task. However the JRE has been disabled. do you want to enable the use of the JRE now? yes no cancel.

selecting any of those options generates no changes in document.

plus either remove this dialog or add a "never show this again" with maybe something in the task bar saying why the function cant be done. or even better specify what i did to trigger it so i can not trigger it.
Comment 1 Alex Thurgood 2011-02-28 00:59:35 UTC
Hi, May I ask which version of Apple's JVM you are using ?

Alex
Comment 2 musikit 2011-02-28 05:36:53 UTC
(In reply to comment #1)
> Hi, May I ask which version of Apple's JVM you are using ?
> 
> Alex

java version "1.6.0_22"
Java(TM) SE Runtime Environment (build 1.6.0_22-b04-307-10M3261)
Java HotSpot(TM) 64-Bit Server VM (build 17.1-b03-307, mixed mode)


not sure why it matters as the bug has to do with keeping it Off.
Comment 3 Alex Thurgood 2011-02-28 06:05:52 UTC
I asked because the change to update 22 by Apple caused LibO to display these error messages in some versions on some people's Macs.

As far as I know, turning off Java completely isn't yet possible for LibO. I seem to recall that the filter save/export functionality calls all of the available filters, some of which require Java, hence, probably, the reason for all of those error messages each time you want to save something. The same with database functionality, which although you may not wish to you use the Base module, also appears in Writer through the addressbook, mailmerge functionality, and in Calc through the datapilot and datarange functions. Additionally, many of the wizards, and not just the Base ones, are Java dependent. Until the use of Java can really be made optional within LibO, I guess that your problem is going to persist.


Alex
Comment 4 musikit 2011-02-28 06:38:07 UTC
(In reply to comment #3)
> I asked because the change to update 22 by Apple caused LibO to display these
> error messages in some versions on some people's Macs.
> 
> As far as I know, turning off Java completely isn't yet possible for LibO. I
> seem to recall that the filter save/export functionality calls all of the
> available filters, some of which require Java, hence, probably, the reason for
> all of those error messages each time you want to save something. The same with
> database functionality, which although you may not wish to you use the Base
> module, also appears in Writer through the addressbook, mailmerge
> functionality, and in Calc through the datapilot and datarange functions.
> Additionally, many of the wizards, and not just the Base ones, are Java
> dependent. Until the use of Java can really be made optional within LibO, I
> guess that your problem is going to persist.
> 
> 
> Alex

[X] Never show this dialog again.
Comment 5 Björn Michaelsen 2011-12-23 11:52:55 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 Adrian Custer 2012-07-27 14:08:25 UTC
This bug still occurs in summer 2012 and should be reopened.

  Libreoffice: 2.6.0.0 (beta3)  Build ID 3e2b862
  Mac OS X:    Lion 10.7.4
  JRE:         none installed


The bug occurs not just at startup but in lots of instances, on file save but also at random times when working with the document. The setting to disable Java has been checked.

cheers,
  Adrian Custer
Comment 7 Roman Eisele 2012-08-05 11:04:00 UTC
After comment #6, the correct Status for this bug is UNCONFIRMED.
Comment 8 Roman Eisele 2012-08-05 11:06:02 UTC
Ah, better: This issue is (more or less) identical with bug 31354, therefore mark it as a duplicate.

*** This bug has been marked as a duplicate of bug 31354 ***
Comment 9 Roman Eisele 2012-08-05 12:24:09 UTC
(In reply to comment #8)
> *** This bug has been marked as a duplicate of bug 31354 ***

No, wrong -- sorry sorry sorry! It was definitely a bad idea to "check some bugs quickly in between" ;-( I remember that there *was* some very similar bug report, but it was not bug 31354 (which is about Windows) but another one which was about MacOS X 10.7.4, just like comment #6.

Sorry for the confusion. We need to search the real duplicate(s) and then to combine the bug reports.
Comment 10 Roman Eisele 2012-08-18 09:55:54 UTC
(Still) REPRODUCIBLE with 
 * LibreOffice 3.5.6.2 (Build ID: e0fbe70-dcba98b-297ab39-994e618-0f858f0),
 * LibreOffice 3.6.1.1 (Build ID: 4db6344),
both on MacOS X 10.6.8 (Intel). The JVM installed is Java SE 6 by Apple, both 64 bit and 32 bit, version 1.6.0_33-b03-424.

My steps:
1) disable the Java VM completely (on MacOS X 10.6.x, this is done via
   starting Applications/Utilities/Java Setup.app,
   selecting tab "General",
   and unchecking all checkboxes);
2) start LibreOffice;
3) open any Writer document OR create a new one;
4) start to type:
-> the alert box cited by musikit appears.
I will attach a screenshot showing the complete alert.

However, the alert does not yet appear "when clicking on document on start", as the Summary field of this bug report suggests. It does only appear "on typing in a document after starting libreoffice", as the original description (comment #0) correctly states. Therefore I adjust the Summary field to be as precise as possible.


(In reply to comment #6)
> The bug occurs not just at startup but in lots of instances, on file save but
> also at random times when working with the document.

Adrian is completely right here; but to keep the bug report simple, and to allow the developers to concentrate on each instance of the annoying false Java alert (this could make fixing easier!), I suggest to restrict this present bug report to the single problem that the alert appears as soon as we start typing.
Comment 11 Roman Eisele 2012-08-18 09:57:12 UTC
Created attachment 65728 [details]
Error message when starting to type, LibO 3.5.6.2 on MacOS X 10.6.8
Comment 12 Roman Eisele 2012-08-18 10:08:07 UTC
Created attachment 65729 [details]
Error message when JVM is disabled in LibO preferences, LibO 3.6.1.1 on MacOS X 10.6.8


Ah, there are two variants of this bug:
a) the one caused by disabling the JRE completely (as stated in my comment #10);
b) the other by disabling the JRE just for LibreOffice, via selecting
   "LibreOffice > Preferences..." from the menu and then unchecking
   "Use a Java runtime environment" in the pane LibreOffice > Java.

But buth variants behave in exactly the same way -- the only difference is the alert box which appears:
a) if you disable the JRE completely, the dialog box visible on my previous
   screenshot appears (attachment 65728 [details]);
   there is only a "OK" button;
b) if you disable the JRE only in LibreOffice, the three-button version of
   the alert box cited in the original description appears; see the attached
   screenshot.
Comment 13 Adrian Custer 2012-09-02 14:30:00 UTC
There is a third case, where the user has no JVM installed, in that case the dialog that pops up is the dialog offering to install a JVM.

cheers,
  ~adrian
Comment 14 Julien Nabet 2013-09-29 15:28:23 UTC
On MacOS 10.7.5 with LO 4.1.1.2, here are the steps I tried:
- disabled Java on LO
- closed LO
- open LO again
- open Writer
- type some words
No popup.

Perhaps I missed something, could someone give it a try? (Alex/Roman?)
Comment 15 Alex Thurgood 2013-10-02 07:56:14 UTC
I have seen this on my master builds. I have to force LO to look for a JDK one time only per profile to shut it up.

Alex
Comment 16 Alex Thurgood 2013-10-02 07:58:39 UTC
It seems to me that the reason the dialog often appears when beginning to type in a new document is because LO attempts to load one or more JNI.dylib - the spellchecker perhaps ?
Comment 17 Julien Nabet 2013-10-05 04:14:40 UTC
Reading about fdo#69406 and jnilib.dylib issue now fixed, I wondered if these 2 bugs could be related.
Stephan: any idea?
Comment 18 Stephan Bergmann 2013-10-07 08:01:49 UTC
(In reply to comment #16)
> It seems to me that the reason the dialog often appears when beginning to
> type in a new document is because LO attempts to load one or more JNI.dylib
> - the spellchecker perhaps ?

Sure, a dialog appears as soon as LO tries to use Java for some reason, but no Java has been enabled.  And the most likely reason LO tries to use Java when opening a writer document or when typing into a writer document is some spell-/grammar-checking extension using Java.

(In reply to comment #17)
> Reading about fdo#69406 and jnilib.dylib issue now fixed, I wondered if
> these 2 bugs could be related.
> Stephan: any idea?

No, bug 69406 is not related to this issue.  (That one is about a regression temporarily introduced into master towards LO 4.2.)
Comment 19 Frank Berke 2014-11-22 16:24:40 UTC
This bug still persists in LO 4.3.4. It is OK to show a note about an absent or not enabled JVM, but I strongly suggest making the message more meaningful: '... to perform this task' leaves the user without any clue why enabling Java would be a good idea.
And finally, for those who deliberatly turned off Java (or never installed it), there should be an option to close this message for good.
Comment 20 Alex Thurgood 2015-01-03 17:41:24 UTC
Adding self to CC if not already on
Comment 21 QA Administrators 2016-01-17 20:05:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 22 Alex Thurgood 2016-01-19 13:43:03 UTC
Confirming on

Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale : fr-FR (fr.UTF-8)
 OSX 10.11.2

Java is still required on OSX